#!/bin/sh
#
#
#source /etc/profile

JAVA_HOME=/opt/apps/jdk1.8.0_331
JRE_HOME=$JAVA_HOME/jre
PATH=$PATH:$JAVA_HOME/bin
CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar
export JAVA_HOME
export JRE_HOME
export PATH
export CLASSPATH

SERVICE_HOME="/opt/apps/pet-identity/service"
LOG="$SERVICE_HOME/logs/service.log"
JAR=$(ls -lt ${SERVICE_HOME}/*.jar|head -n1|rev|cut -d" " -f1|rev)
LIBS="$SERVICE_HOME/libs"
CONFIG_PATH="$SERVICE_HOME/config/"

nohup java -Dloader.path=$LIBS -jar $JAR --spring.config.location=$CONFIG_PATH > $LOG 2>&1 &

tail -f $LOG

